﻿@model CarRental.Web.Areas.CarOwner.ViewModels.EditCarViewModel
@using CarRental.Core.Enums

@{
    ViewData["Title"] = "List";
    Layout = "~/Areas/CarOwner/Views/Shared/_Layout.cshtml";
}

<style>
    .carousel-item {
        height: 280px;
    }

        .carousel-item img {
            height: 280px !important;
        }
</style>

<form asp-action="EditCar" asp-area="CarOwner" asp-controller="Cars" method="post" enctype="multipart/form-data">
    <input type="hidden" asp-for="CarId" />
    <section class="container">
        <div class="row mt-3">
            <div class="col-md-8">
                <span style="color: black; font-size: larger;"><b>Edit car details</b></span>
            </div>
        </div>
        <div class="car-wrap car-wrapper rounded ftco-animate mt-3 mb-3">
            <div class="row blog_1 mb-5">
                <div class="col-md-6">
                    <div class="car-wrap rounded ftco-animate m-2">
                        <div id="carouselExampleIndicators2" class="carousel slide" data-ride="carousel">
                            <ol class="carousel-indicators">
                                <li data-target="#carouselExampleIndicators2" data-slide-to="0" class="active"></li>
                                <li data-target="#carouselExampleIndicators2" data-slide-to="1"></li>
                                <li data-target="#carouselExampleIndicators2" data-slide-to="2"></li>
                                <li data-target="#carouselExampleIndicators2" data-slide-to="3"></li>
                            </ol>
                            <div class="carousel-inner">
                                <div class="carousel-item active">
                                    <img class="d-block w-100 rounded"
                                         src="@if(Model.CarImage != null)
                                    {
                                    @Url.Content(Model.CarImage.FrontImg)
                                    }"
                                         alt="First slide">
                                </div>
                                <div class="carousel-item">
                                    <img class="d-block w-100 rounded"
                                         src="@if(Model.CarImage != null)
                                    {
                                    @Url.Content(Model.CarImage.BackImg)
                                    }" alt="Second slide">
                                </div>
                                <div class="carousel-item">
                                    <img class="d-block w-100 rounded"
                                         src="@if(Model.CarImage != null)
                                    {
                                    @Url.Content(Model.CarImage.LeftImg)
                                    }"
                                         alt="Third slide">
                                </div>
                                <div class="carousel-item">
                                    <img class="d-block w-100 rounded"
                                         src="@if(Model.CarImage != null)
                                    {
                                    @Url.Content(Model.CarImage.RightImg)
                                    }"
                                         alt="Fourth slide">
                                </div>
                            </div>
                            <a class="carousel-control-prev" href="#carouselExampleIndicators2" role="button"
                               data-slide="prev">
                                <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                                <span class="sr-only">Previous</span>
                            </a>
                            <a class="carousel-control-next" href="#carouselExampleIndicators2" role="button"
                               data-slide="next">
                                <span class="carousel-control-next-icon" aria-hidden="true"></span>
                                <span class="sr-only">Next</span>
                            </a>
                        </div>
                    </div>
                </div>
                <div class="col-md-6" style="color: black;">
                    <div class="card-title mt-2">
                        <h2>@Model.CarName</h2>
                    </div>
                    <div class="model_pg1i clearfix">
                        <div class="model_m clearfix border-top-0">
                            <div class="model_pg1i2 row">
                                <div class="col-md-4 col-sm-4">
                                    <div class="model_pg1i2r">
                                        <label class="mb-0 fw-bolder">
                                            Ratings:
                                        </label>
                                    </div>
                                </div>
                                <div class="col-md-8 col-sm-8">
                                    <div class="model_pg1i2l">
                                        <span class="star">
                                            @if (double.IsNaN(ViewBag.AvgRate) || ViewBag.AvgRate < 0.5)
                                            {
                                                <span class="fa fa-star"></span>
                                                <span class="fa fa-star "></span>
                                                <span class="fa fa-star "></span>
                                                <span class="fa fa-star"></span>
                                                <span class="fa fa-star"></span>
                                            }
                                            else if (ViewBag.AvgRate >= 0.5 && ViewBag.AvgRate < 1.5)
                                            {
                                                <span class="fa fa-star checked"></span>
                                                <span class="fa fa-star "></span>
                                                <span class="fa fa-star "></span>
                                                <span class="fa fa-star "></span>
                                                <span class="fa fa-star "></span>
                                            }
                                            else if (ViewBag.AvgRate >= 1.5 && ViewBag.AvgRate < 2.5)
                                            {
                                                <span class="fa fa-star checked"></span>
                                                <span class="fa fa-star checked"></span>
                                                <span class="fa fa-star "></span>
                                                <span class="fa fa-star "></span>
                                                <span class="fa fa-star "></span>
                                            }
                                            else if (ViewBag.AvgRate >= 2.5 && ViewBag.AvgRate < 3.5)
                                            {
                                                <span class="fa fa-star checked"></span>
                                                <span class="fa fa-star checked"></span>
                                                <span class="fa fa-star checked"></span>
                                                <span class="fa fa-star checked"></span>
                                                <span class="fa fa-star "></span>
                                            }
                                            else if (ViewBag.AvgRate >= 3.5 && ViewBag.AvgRate < 4.5)
                                            {
                                                <span class="fa fa-star checked"></span>
                                                <span class="fa fa-star checked"></span>
                                                <span class="fa fa-star checked"></span>
                                                <span class="fa fa-star checked"></span>
                                                <span class="fa fa-star "></span>
                                            }
                                            else if (ViewBag.AvgRate >= 4.5)
                                            {
                                                <span class="fa fa-star checked"></span>
                                                <span class="fa fa-star checked"></span>
                                                <span class="fa fa-star checked"></span>
                                                <span class="fa fa-star checked"></span>
                                                <span class="fa fa-star checked"></span>
                                            }
                                        </span>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="model_m clearfix border-top-0 mt-3">
                            <div class="model_pg1i2 row">
                                <div class="col-md-4 col-sm-4">
                                    <div class="model_pg1i2r">
                                        <label class="mb-0 fw-bolder">No. of rides:</label>
                                    </div>
                                </div>
                                <div class="col-md-8 col-sm-8">
                                    <div class="model_pg1i2l">
                                        <span class="price">0</span>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="model_m clearfix border-top-0 mt-3">
                            <div class="model_pg1i2 row">
                                <div class="col-md-4 col-sm-4">
                                    <div class="model_pg1i2r">
                                        <label class="mb-0 fw-bolder">Price:</label>
                                    </div>
                                </div>
                                <div class="col-md-8 col-sm-8">
                                    <div class="model_pg1i2l">
                                        <span class="price">@string.Format("{0:N0} VND", Model.BasePrice) /Day</span>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="model_m clearfix border-top-0 mt-3">
                            <div class="model_pg1i2 row">
                                <div class="col-md-4 col-sm-4">
                                    <div class="model_pg1i2r">
                                        <label class="mb-0 fw-bolder">Location:</label>
                                    </div>
                                </div>
                                <div class="col-md-8 col-sm-8">
                                    <div class="model_pg1i2l">
                                        <span class="price">
                                            @if (!string.IsNullOrEmpty(Model.SpecificAddress))
                                            {
                                                @Model.SpecificAddress

                                                <span>, </span>
                                            }
                                            @Model.Address.Ward ,
                                            @Model.Address.District ,
                                            @Model.Address.City
                                        </span>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="model_m clearfix border-top-0 mt-3">
                            <div class="model_pg1i2 row">
                                <div class="col-md-4 col-sm-4">
                                    <div class="model_pg1i2r">
                                        <label class="mb-0 fw-bolder">status:</label>
                                    </div>
                                </div>
                                <div class="col-md-8 col-sm-8">

                                    <select id="selectedStatusColor" name="CarStatus" asp-for="CarStatus" onchange="changeStatusCarColor()" class="form-select form-select-lg w-50 p-1 mb-3">
                                        @if(Model.CarStatus == CarStatus.Available)
                                        {
                                            <option selected class="text-success p-1" value="@CarStatus.Available">Available</option>
                                        <option class="text-danger p-1" value="@CarStatus.Stopped">Stopped</option>
                                        }
                                        else if(Model.CarStatus == CarStatus.Stopped)
                                        {
                                            <option selected class="text-danger p-1" value="@CarStatus.Stopped">Stopped</option>
                                            <option  class="text-success p-1" value="@CarStatus.Available">Available</option>
                                        
                                        }
                                        else
                                        {
                                            <option selected class="text-danger p-1" value="@CarStatus.Booked">Booked</option>
                                        }
                                        
                                    </select>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>

    <section class="ftco-section ftco-car-details" style="padding: 0;">
        <div class="container">
            <div class="row">
                <div class="col-md-12 pills">
                    <div class="bd-example bd-example-tabs">
                        <div class="d-flex justify-content-center">
                            <ul class="nav nav-pills mb-3" id="pills-tab" role="tablist">

                                <li class="nav-item">
                                    <a class="nav-link active" id="pills-description-tab" data-toggle="pill"
                                       href="#pills-description" role="tab" aria-controls="pills-description"
                                       aria-expanded="true">Booking Information</a>
                                </li>
                                <li class="nav-item">
                                    <a class="nav-link" id="pills-manufacturer-tab" data-toggle="pill"
                                       href="#pills-manufacturer" role="tab" aria-controls="pills-manufacturer"
                                       aria-expanded="true">Details</a>
                                </li>
                                <li class="nav-item">
                                    <a class="nav-link" id="pills-review-tab" data-toggle="pill" href="#pills-review"
                                       role="tab" aria-controls="pills-review" aria-expanded="true">Pricing</a>
                                </li>
                            </ul>
                        </div>
                        <div class="tab-content" id="pills-tabContent">
                            <div class="tab-pane fade show active" id="pills-description" role="tabpanel"
                                 aria-labelledby="pills-description-tab">
                                <div class="row" style="color: black;">
                                    <div class="col-md-6 mb-3">
                                        <div>
                                            <span><b>License plate:</b> @Model.LicensePlate</span>
                                        </div>
                                    </div>
                                    <div class="col-md-6 mb-3">
                                        <div>
                                            <span>
                                                <b>Color:</b>
                                                <span id="colorCar" onchange="changeColorText()">
                                                    @Model.Color.ColorName
                                                </span>
                                            </span>
                                        </div>
                                    </div>
                                    <div class="col-md-6 mb-3">
                                        <div>
                                            <span><b>Production year:</b> @Model.ProductionYears</span>
                                        </div>
                                    </div>
                                    <div class="col-md-6 mb-3">
                                        <div>
                                            <span><b>No. of seats:</b> @Model.NumberOfSeats</span>
                                        </div>
                                    </div>
                                    <div class="col-md-6 mb-3">
                                        <div>
                                            <span><b>Transmission: </b>@Model.TransmissionType</span>
                                        </div>
                                    </div>
                                    <div class="col-md-6 mb-3">
                                        <div>
                                            <span><b>Fuel:</b> @Model.FuelType</span>
                                        </div>
                                    </div>
                                </div>
                                <div class="row" style="color: black;">
                                    <div class="col-md-7">
                                        <div>
                                            <span><b>Documents: </b></span>
                                        </div>
                                        <table class="table table-striped">
                                            <thead>
                                                <tr>
                                                    <th scope="col">No</th>
                                                    <th scope="col">Name</th>
                                                    <th scope="col">Note</th>
                                                    <th scope="col">Link</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                <tr>
                                                    <th scope="row">1</th>
                                                    <td>Registration paper</td>
                                                    @if (Model.CarImage.Registration != null)
                                                    {
                                                        <td>Verified</td>
                                                        <td>
                                                            <a class="link-primary" data-toggle="modal" style="color:deepskyblue" data-target=".bd-example-modal-lg1">Registration.pdf</a>
                                                        </td>
                                                    }
                                                    else
                                                    {
                                                        <td>Not Available</td>
                                                        <td>
                                                            Not Available
                                                        </td>
                                                    }

                                                </tr>
                                                <tr>
                                                    <th scope="row">2</th>
                                                    <td>Certificate of inspection</td>
                                                    @if (Model.CarImage.CertificateImg != null)
                                                    {
                                                        <td>Verified</td>
                                                        <td>
                                                            <a class="link-primary" data-toggle="modal" style="color:deepskyblue" data-target=".bd-example-modal-lg2">CertificateOfInspection.pdf</a>
                                                        </td>
                                                    }
                                                    else
                                                    {
                                                        <td>Not Available</td>
                                                        <td>
                                                            Not Available
                                                        </td>
                                                    }

                                                </tr>
                                                <tr>
                                                    <th scope="row">3</th>
                                                    <td>Insurance</td>
                                                    @if (Model.CarImage.InsuranceImg != null)
                                                    {
                                                        <td>Verified</td>
                                                        <td>
                                                            <a class="link-primary" style="color:deepskyblue" data-toggle="modal" data-target=".bd-example-modal-lg3">Insurance.pdf</a>
                                                        </td>
                                                    }
                                                    else
                                                    {
                                                        <td>Not Available</td>
                                                        <td>
                                                            Not Available
                                                        </td>
                                                    }

                                                </tr>
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>
                            <div class="tab-pane fade" id="pills-manufacturer" role="tabpanel"
                                 aria-labelledby="pills-manufacturer-tab">
                                <h4><b>Renter's Information</b></h4>
                                <div class="form-row mb-3">
                                    <div class="col-md-6">
                                        <label for="validationCustom01" asp-for="Mileage"><b>Mileage</b></label>
                                        <input type="number" asp-for="Mileage" name="Mileage" class="form-control" id="validationCustom01"
                                               placeholder="Mileage" required>
                                        <div class="invalid-feedback">
                                            <span asp-validation-for="Mileage"></span>
                                            Please provide a valid Mileage
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <label for="validationCustom02"><b>Fuel consumption:</b></label>
                                        <input type="number" name="FuelConsumption" asp-for="FuelConsumption" class="form-control" id="validationCustom02"
                                               placeholder="Fuel consumption" required>
                                        <div class="invalid-feedback">
                                            Please provide a valid Fuel consumption.
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-6">
                                        <label> <b>Address: </b></label>
                                    </div>
                                    <div class="col-md-6">
                                        <label><b>Description: </b></label>
                                    </div>
                                </div>
                                <div class="form-row mb-3">
                                    <div class="col-md-6">
                                        <select id="cityDropdown" name="Address.City" class="custom-select custom-select-lg mb-3">
                                            <option value="@Model.Address.City" selected>@Model.Address.City</option>
                                        </select>
                                        <div class="invalid-feedback">
                                            Please provide a valid National Id No
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <label for="validationCustom02" hidden>Description:</label>
                                        <textarea class="form-control" asp-for="Description" id="descriptionArea" rows="4" placeholder="Description">
                                        </textarea>


                                    </div>
                                    <div class="col-md-12">
                                        <select name="Address.District" id="districtDropdown" class="custom-select custom-select-lg mb-3" style="width: 50%;">
                                            <option value="@Model.Address.District" selected>@Model.Address.District</option>
                                        </select>
                                        <div class="invalid-feedback">
                                            Please provide a valid National Id No
                                        </div>
                                    </div>
                                    <div class="col-md-12">
                                        <select id="wardDropdown" name="Address.Ward" class="custom-select custom-select-lg mb-3" style="width: 50%;">
                                            <option value="@Model.Address.Ward" selected>@Model.Address.Ward</option>

                                        </select>
                                        <div class="invalid-feedback">
                                            Please provide a valid National Id No
                                        </div>
                                    </div>
                                    <div class="col-md-12">
                                        <label for="validationCustom05">House number, Street </label>
                                        <input type="text" asp-for="SpecificAddress" class="form-control" id="validationCustom05"
                                               placeholder="House number, Street" style="width: 50%;">
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-12 mb-3">
                                        <span><b>Additional function: </b></span>
                                    </div>

                                    <div class="col-md-2 md-4 mr-5" style="padding: 0;">
                                        <div class=" align-items-center d-flex">
                                            <span class="me-4 d-block col-2">Bluetooth</span>
                                            <i class="d-block col-5" aria-hidden="true"></i>
                                            @if (Model.AdditionalFunctionsEditCar.Any(x => x.Equals("Bluetooth", StringComparison.CurrentCultureIgnoreCase)))
                                            {
                                                <input type="checkbox" name="AdditionalFunctionsEditCar" value="Bluetooth" checked>
                                            }
                                            else
                                            {
                                                <input type="checkbox" name="AdditionalFunctionsEditCar" value="Bluetooth">
                                            }
                                        </div>
                                        <div class=" align-items-center d-flex">
                                            <span class="me-4 d-block col-2">GPS</span>
                                            <i class="d-block col-5" aria-hidden="true"></i>
                                            @if (Model.AdditionalFunctionsEditCar.Any(x => x.Equals("GPS", StringComparison.CurrentCultureIgnoreCase)))
                                            {
                                                <input type="checkbox" name="AdditionalFunctionsEditCar" value="GPS" checked>
                                            }
                                            else
                                            {
                                                <input type="checkbox" name="AdditionalFunctionsEditCar" value="GPS">
                                            }
                                        </div>
                                        <div class=" align-items-center d-flex">
                                            <span class="me-4 d-block col-2">Camera</span>
                                            <i class=" d-block col-5" aria-hidden="true"></i>
                                            @if (Model.AdditionalFunctionsEditCar.Any(x => x.Equals("Camera", StringComparison.CurrentCultureIgnoreCase)))
                                            {
                                                <input type="checkbox" name="AdditionalFunctionsEditCar" value="Camera" checked>
                                            }
                                            else
                                            {
                                                <input type="checkbox" name="AdditionalFunctionsEditCar" value="Camera">
                                            }
                                        </div>
                                    </div>
                                    <div class="col-md-2 md-4 mr-5" style="padding: 0;">
                                        <div class=" align-items-center d-flex">
                                            <span class="me-4 d-block col-2">Sun roof</span>
                                            <i class=" d-block col-5" aria-hidden="true"></i>
                                            @if (Model.AdditionalFunctionsEditCar.Any(x => x.Equals("Sun roof", StringComparison.CurrentCultureIgnoreCase)))
                                            {
                                                <input type="checkbox" name="AdditionalFunctionsEditCar" value="Sun roof" checked>
                                            }
                                            else
                                            {
                                                <input type="checkbox" name="AdditionalFunctionsEditCar" value="Sun roof">
                                            }
                                        </div>
                                        <div class=" align-items-center d-flex">
                                            <span class="me-4 d-block col-2">Child lock</span>
                                            <i class=" d-block col-5" aria-hidden="true"></i>
                                            @if (Model.AdditionalFunctionsEditCar.Any(x => x.Equals("Child lock", StringComparison.CurrentCultureIgnoreCase)))
                                            {
                                                <input type="checkbox" name="AdditionalFunctionsEditCar" value="Child lock" checked>
                                            }
                                            else
                                            {
                                                <input type="checkbox" name="AdditionalFunctionsEditCar" value="Child lock">
                                            }
                                        </div>
                                        <div class=" align-items-center d-flex">
                                            <span class="me-4 d-block col-2">Child seat</span>
                                            <i class=" d-block col-5" aria-hidden="true"></i>
                                            @if (Model.AdditionalFunctionsEditCar.Any(x => x.Equals("Child seat", StringComparison.CurrentCultureIgnoreCase)))
                                            {
                                                <input type="checkbox" name="AdditionalFunctionsEditCar" value="Child seat" checked>
                                            }
                                            else
                                            {
                                                <input type="checkbox" name="AdditionalFunctionsEditCar" value="Child seat">
                                            }
                                        </div>
                                    </div>
                                    <div class="col-md-2 md-4 mr-5" style="padding: 0;">
                                        <div class=" align-items-center d-flex">
                                            <span class="me-4 d-block col-2">DVD</span>
                                            <i class="d-block col-5" aria-hidden="true"></i>
                                            @if (Model.AdditionalFunctionsEditCar.Any(x => x.Equals("DVD", StringComparison.CurrentCultureIgnoreCase)))
                                            {
                                                <input type="checkbox" name="AdditionalFunctionsEditCar" value="DVD" checked>
                                            }
                                            else
                                            {
                                                <input type="checkbox" name="AdditionalFunctionsEditCar" value="DVD">
                                            }
                                        </div>
                                        <div class=" align-items-center d-flex">
                                            <span class="me-4 d-block col-2">USB</span>
                                            <i class=" d-block col-5" aria-hidden="true"></i>
                                            @if (Model.AdditionalFunctionsEditCar.Any(x => x.Equals("USB", StringComparison.CurrentCultureIgnoreCase)))
                                            {
                                                <input type="checkbox" name="AdditionalFunctionsEditCar" value="USB" checked>
                                            }
                                            else
                                            {
                                                <input type="checkbox" name="AdditionalFunctionsEditCar" value="USB">
                                            }
                                        </div>
                                    </div>

                                </div>
                                <div class="row">
                                    <div class="col-md-12 mb-3">
                                        <span><b>Images: </b></span>
                                        <div class="row mb-3">
                                            <div class="col-md-6">
                                                <label class="label-add-car" for="registrationPaper">Front</label>
                                                <div id="file-upload-form" class="uploader">
                                                    <input id="file-upload-4" class="fileUpload" asp-for="FrontImg" type="file" name="FrontImg"
                                                           accept=".jpeg, .doc, .docx, .xls, .xlsx, .txt, .jpg, .png, .gif"
                                                           onchange="prepareUpload(4)" />
                                                    <label for="file-upload-4" id="file-drag-4"
                                                           style="background-image: url(@Url.Content(Model.CarImage.FrontImg));
                                                                background-size:cover;
                                                                background-repeat:no-repeat;
                                                                background-position:center">
                                                        <img id="file-image" src="@Url.Content(Model.CarImage.FrontImg)" alt="Preview" class="hidden">
                                                        <div id="start" style="visibility: hidden">
                                                            <i class="fa fa-upload" aria-hidden="true"></i>
                                                            <div>Drag and drop OR</div>
                                                            <div id="notimage" class="hidden">
                                                                Please select an image
                                                            </div>
                                                            <span id="file-upload-btn">Select a file</span>
                                                        </div>
                                                        <div id="response" class="hidden">
                                                            <div id="messages"></div>
                                                            <progress class="progress" id="file-progress" value="0">
                                                                <span>0</span>%
                                                            </progress>
                                                        </div>
                                                    </label>
                                                </div>
                                            </div>
                                            <div class="col-md-6">
                                                <label class="label-add-car" for="registrationPaper">Back</label>
                                                <div id="file-upload-form" class="uploader">
                                                    <input id="file-upload-5" class="fileUpload" asp-for="BackImg" type="file" name="BackImg"
                                                           accept=".jpeg, .doc, .docx, .xls, .xlsx, .txt, .jpg, .png, .gif"
                                                           onchange="prepareUpload(5)" />
                                                    <label for="file-upload-5" id="file-drag-5"
                                                           style="background-image: url(@Url.Content(Model.CarImage.BackImg));
                                                                background-size:cover;
                                                                background-repeat:no-repeat;
                                                                background-position:center">
                                                        <img id="file-image" src="@Url.Content(Model.CarImage.BackImg)" alt="Preview" class="hidden">
                                                        <div id="start" style="visibility: hidden">
                                                            <i class="fa fa-upload" aria-hidden="true"></i>
                                                            <div>Drag and drop OR</div>
                                                            <div id="notimage" class="hidden">
                                                                Please select an image
                                                            </div>
                                                            <span id="file-upload-btn">Select a file</span>
                                                        </div>
                                                        <div id="response" class="hidden">
                                                            <div id="messages"></div>
                                                            <progress class="progress" id="file-progress" value="0">
                                                                <span>0</span>%
                                                            </progress>
                                                        </div>
                                                    </label>
                                                </div>
                                            </div>
                                            <div class="col-md-6">
                                                <label class="label-add-car" for="registrationPaper">Left</label>
                                                <div id="file-upload-form" class="uploader">
                                                    <input id="file-upload-6" class="fileUpload" asp-for="LeftImg" type="file" name="LeftImg"
                                                           accept=".jpeg, .doc, .docx, .xls, .xlsx, .txt, .jpg, .png, .gif"
                                                           onchange="prepareUpload(6)" />
                                                    <label for="file-upload-6"
                                                           style="background-image: url(@Url.Content(Model.CarImage.LeftImg));
                                                                background-size:cover;
                                                                background-repeat:no-repeat;
                                                                background-position:center"
                                                           id="file-drag-6">
                                                        <img id="file-image" src="@Url.Content(Model.CarImage.LeftImg)" alt="Preview" class="hidden">
                                                        <div id="start" style="visibility: hidden">
                                                            <i class="fa fa-upload" aria-hidden="true"></i>
                                                            <div>Drag and drop OR</div>
                                                            <div id="notimage" class="hidden">
                                                                Please select an image
                                                            </div>
                                                            <span id="file-upload-btn">Select a file</span>
                                                        </div>
                                                        <div id="response" class="hidden">
                                                            <div id="messages"></div>
                                                            <progress class="progress" id="file-progress" value="0">
                                                                <span>0</span>%
                                                            </progress>
                                                        </div>
                                                    </label>
                                                </div>
                                            </div>
                                            <div class="col-md-6">
                                                <label class="label-add-car" for="registrationPaper">Right</label>
                                                <div id="file-upload-form" class="uploader">
                                                    <input id="file-upload-7" class="fileUpload" asp-for="RightImg" type="file" name="RightImg"
                                                           accept=".jpeg, .doc, .docx, .xls, .xlsx, .txt, .jpg, .png, .gif"
                                                           onchange="prepareUpload(7)" />
                                                    <label for="file-upload-7" id="file-drag-7"
                                                           style="background-image: url(@Url.Content(Model.CarImage.RightImg));
                                                                background-size:cover;
                                                                background-repeat:no-repeat;
                                                                background-position:center">
                                                        <img id="file-image" src="@Url.Content(Model.CarImage.RightImg)" alt="Preview" class="hidden">
                                                        <div id="start" style="visibility:hidden">
                                                            <i class="fa fa-upload" aria-hidden="true"></i>
                                                            <div>Drag and drop OR</div>
                                                            <div id="notimage" class="hidden">
                                                                Please select an image
                                                            </div>
                                                            <span id="file-upload-btn">Select a file</span>
                                                        </div>
                                                        <div id="response" class="hidden">
                                                            <div id="messages"></div>
                                                            <progress class="progress" id="file-progress" value="0">
                                                                <span>0</span>%
                                                            </progress>
                                                        </div>
                                                    </label>
                                                </div>
                                            </div>
                                        </div>
                                        <span class="d-block">Please include full 4 images of your vehicle</span>
                                        <span class="fileType">File type: .jpg, .jpeg, .png, .git</span>
                                    </div>
                                </div>
                                <div class="button-group d-flex justify-content-center ">
                                    <button type="button" class="btn btn-outline-secondary mr-2">Discard</button>
                                    <button class="btn btn-success pl-4 pr-4" type="submit">Save</button>
                                </div>
                            </div>

                            <div class="tab-pane fade" id="pills-review" role="tabpanel"
                                 aria-labelledby="pills-review-tab">
                                <div class="row mb-4">
                                    <div class="col-md-4">
                                        <span style="color: black;"><b>Base price:</b> </span>
                                    </div>
                                    <div class="col-md-8">
                                        <input type="number" asp-for="BasePrice" name="BasePrice" class="form-control w-25" id="validationCustom01"
                                               placeholder="BasePrice">
                                        <span asp-validation-for="BasePrice"></span>
                                    </div>
                                </div>
                                <div class="row mb-4">
                                    <div class="col-md-4">
                                        <span style="color: black;"><b>Required deposit:</b> </span>
                                    </div>
                                    <div class="col-md-8">
                                        <span>
                                            <input type="number" asp-for="Deposit" name="Deposit" class="form-control w-25" id="validationCustom01"
                                                   placeholder="Deposit"> VND
                                            <span class="d-block" asp-validation-for="BasePrice"></span>
                                        </span>
                                    </div>
                                </div>
                                <div class="row mb-4">
                                    <div class="col-md-12">
                                        <span style="color: black;"><b>Terms of use:</b></span>
                                    </div>
                                </div>
                                <div class="row mb-4">
                                    <div class="col-md-4 md-4 mr-5" style="padding: 0;">
                                        <div class=" align-items-center d-flex">
                                            @if (Model.TermsOfUseEditCar.Any(x => x.Equals("No smoking", StringComparison.CurrentCultureIgnoreCase)))
                                            {
                                                <input type="checkbox" name="TermsOfUseEditCar" value="No smoking" checked>
                                            }
                                            else
                                            {
                                                <input type="checkbox" name="TermsOfUseEditCar" value="No smoking">
                                            }
                                            <i class="d-block col-3" aria-hidden="true"></i>
                                            <span class="me-4 d-block">No smoking</span>
                                        </div>
                                        <div class=" align-items-center d-flex">
                                            @if (Model.TermsOfUseEditCar.Any(x => x.Equals("No pet", StringComparison.CurrentCultureIgnoreCase)))
                                            {
                                                <input type="checkbox" name="TermsOfUseEditCar" value="No pet" checked>
                                            }
                                            else
                                            {
                                                <input type="checkbox" name="TermsOfUseEditCar" value="No pet">
                                            }
                                            <i class="d-block col-3" aria-hidden="true"></i>
                                            <span class="me-4 d-block">No pet</span>
                                        </div>
                                    </div>
                                    <div class="col-md-4 md-4 mr-5" style="padding: 0;">
                                        <div class=" align-items-center d-flex">
                                            @if (Model.TermsOfUseEditCar.Any(x => x.Equals("No food in car", StringComparison.CurrentCultureIgnoreCase)))
                                            {
                                                <input type="checkbox" name="TermsOfUseEditCar" value="No food in car" checked>
                                            }
                                            else
                                            {
                                                <input type="checkbox" name="TermsOfUseEditCar" value="No food in car">
                                            }
                                            <i class="d-block col-3" aria-hidden="true"></i>
                                            <span class="me-4 d-block">No food in car</span>
                                        </div>
                                        @if (Model.TermsOfUseEditCar.Any(x => x.Equals("other", StringComparison.CurrentCultureIgnoreCase)))
                                        {
                                            <div class="align-items-center d-flex">
                                                <input type="checkbox" id="otherCheckbox" name="TermsOfUseEditCar" value="other" checked>
                                                <i class="d-block col-3" aria-hidden="true"></i>
                                                <span class="me-4 d-block">Other</span>
                                            </div>
                                            <div id="otherTextareaContainer">
                                                <textarea class="form-control" id="otherTextarea" name="OtherTermOfUse" rows="4">@Model.OtherTermOfUse</textarea>
                                            </div>
                                        }
                                        else
                                        {
                                            <div class="align-items-center d-flex">
                                                <input type="checkbox" id="otherCheckbox" name="TermsOfUseEditCar" value="other">
                                                <i class="d-block col-3" aria-hidden="true"></i>
                                                <span class="me-4 d-block">Other</span>
                                            </div>
                                            <div id="otherTextareaContainer" style="display:none">
                                                <textarea class="form-control" id="otherTextarea" name="OtherTermOfUse" rows="4"></textarea>
                                            </div>
                                        }
                                    </div>
                                </div>
                                <div class="button-group d-flex justify-content-center ">
                                    <button type="button" class="btn btn-outline-secondary mr-2">Discard</button>
                                    <button class="btn btn-success pl-4 pr-4" type="submit">Save</button>
                                </div>
                            </div>

                        </div>
                    </div>
                </div>
            </div>

            <!-- Modal -->

            <div class="modal fade bd-example-modal-lg1" tabindex="-1" role="dialog" aria-labelledby="myLargeModalLabel" aria-hidden="true">
                <div class="modal-dialog modal-lg">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h5 class="modal-title" id="exampleModalLabel1">Registration Paper</h5>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body">
                            <img src="@Model.CarImage.Registration" class="d-block w-100" />
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                        </div>
                    </div>
                </div>
            </div>

            <div class="modal fade bd-example-modal-lg2" tabindex="-1" role="dialog" aria-labelledby="myLargeModalLabel" aria-hidden="true">
                <div class="modal-dialog modal-lg">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h5 class="modal-title" id="exampleModalLabel2">Certificate of inspection</h5>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body">
                            <img src="@Model.CarImage.CertificateImg" class="d-block w-100" />
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                        </div>
                    </div>
                </div>
            </div>

            <div class="modal fade bd-example-modal-lg3" tabindex="-1" role="dialog" aria-labelledby="myLargeModalLabel" aria-hidden="true">
                <div class="modal-dialog modal-lg">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h5 class="modal-title" id="exampleModalLabel3">Insurance</h5>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body">
                            <img src="@Model.CarImage.InsuranceImg" class="d-block w-100" />
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
</form>
<script>
    function changeColorText() {
        var colorCarElement = document.getElementById('colorCar');
        var colorCar = colorCarElement.textContent.trim();

        // colorCarElement.style.color = colorCar.toLowerCase();
        colorCarElement.style.fontWeight = 'bold';


    }

    function changeStatusCarColor() {
        var select = document.getElementById("selectedStatusColor");
        var selectedOption = select.options[select.selectedIndex];
        var selectColor = selectedOption.getAttribute("class");
        select.className = "form-select form-select-lg w-50 p-1 mb-3 " + selectColor;

        var selectedValue = select.value;
        var inputsValue = document.getElementsByTagName("input");
        var selectsValue = document.getElementsByTagName("select");
        var textAreaValue = document.getElementsByTagName("textarea");
        var buttonValue =  document.getElementsByTagName("button");

        for (var i = 0; i < buttonValue.length; i++) {
            // Disable inputs if CarStatus is "Booked"
            if (selectedValue === "Booked") {
              buttonValue[i].style.display = "none";
            } else {
              buttonValue[i].style.display = "";
            }
          }

          for (var i = 0; i < textAreaValue.length; i++) {
            // Disable inputs if CarStatus is "Booked"
            if (selectedValue === "Booked") {
              textAreaValue[i].disabled = true;
            } else {
              textAreaValue[i].disabled = false;
            }
          }

        if(selectedValue === "Booked")
        {
            textAreaValue.disabled = true;
        }
        else
        {
            textAreaValue.disabled = false;
        }
        for (var i = 0; i < inputsValue.length; i++) {
            // Disable inputs if CarStatus is "Booked"
            if (selectedValue === "Booked") {
              inputsValue[i].disabled = true;
            } else {
              inputsValue[i].disabled = false;
            }
          }

        for (var i = 0; i < selectsValue.length; i++) {
            // Disable inputs if CarStatus is "Booked"
            if (selectedValue === "Booked") {
              selectsValue[i].disabled = true;
            } else {
              selectsValue[i].disabled = false;
            }
          }

    }

    function changeTitle(text) {
        document.title = text;
    }

    window.onload = function () {
        changeColorText();
        changeStatusCarColor();
    };
</script>



<script>
    function prepareUpload(inputNumber) {
        const fileInput = $(`#file-upload-${inputNumber}`);
        const fileDrag = $(`#file-drag-${inputNumber}`);
        const startDiv = $(`#file-drag-${inputNumber} #start`);

        startDiv.css('visibility', 'hidden');
        if (fileInput && fileInput[0].files) {
            const file = fileInput[0].files[0];
            const formData = new FormData();
            formData.append('fileUpload', file);

            $.ajax({
                type: 'POST',
                url: '/CarOwner/UploadFile/UploadImage',
                data: formData,
                processData: false,
                contentType: false,
                success: function (imageUrl) {
                    const fileImage = $(`#file-drag-${inputNumber} > #file-image`);

                    fileImage.attr('src', imageUrl);
                    fileDrag.css('background-image', `url('${imageUrl}')`);
                    fileDrag.css('background-size', 'cover');
                    fileDrag.css('background-repeat', 'no-repeat');
                    fileDrag.css('background-position', 'center');

                },
                error: function () {
                    console.error('Upload failed');
                },
                xhr: function () {
                    const xhr = new window.XMLHttpRequest();
                    xhr.upload.addEventListener('progress', function (e) {
                        if (e.lengthComputable) {

                        }
                    });
                    return xhr;
                }
            });
        }
    }

</script>
@section Css {
    <style>
        .checked {
            color: orange;
        }
    </style>
}
